# SimulatorManager (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.micasa.simulator.server
Class SimulatorManager

    java.lang.Object
      com.threerings.micasa.simulator.server.SimulatorManager

    public class SimulatorManager

extends Object

The simulator manager is responsible for handling the simulator services on the server side.

Nested Class Summary
`class` `SimulatorManager.CreateGameTask`

Constructor Summary
`SimulatorManager(com.threerings.presents.server.InvocationManager invmgr)`

Method Summary
`void` `createGame(com.threerings.crowd.data.BodyObject source, GameConfig config, String simClass, int playerCount)` Creates a game along with the specified number of simulant players and forcibly moves all players into the game room.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimulatorManager

    @Inject
    public SimulatorManager(com.threerings.presents.server.InvocationManager invmgr)

Method Detail

### createGame

    public void createGame(com.threerings.crowd.data.BodyObject source,
                           GameConfig config,
                           String simClass,
                           int playerCount)

  Creates a game along with the specified number of simulant players and forcibly moves all players into the game room.

Copyright © 2011. All Rights Reserved.